package logger

import (
	"log"
	"os"
)

type ILogger interface {
	GetLogger() *Log
	Error(error)
	Warn(string)
	Info(string)
	Wrap(error, string) error
	getLogFile() *os.File
}

type Log struct {
	Error *log.Logger
	Warn  *log.Logger
	Info  *log.Logger
}
